Skip to content

List locations in the selected organization

GET
/v1/organizations/{organizationId}/locations

API key scope: inventory:read.

X-Request-Id
string

Optional client request id returned in structured errors.

code
string
Example
MAIN-WH
type
string
Allowed values: warehouse store virtual
status
string
Allowed values: active archived
search
string
Example
warehouse
city
string
Example
Austin
region
string
Example
TX
countryCode
string
>= 2 characters <= 2 characters
Example
US
limit
number
default: 25 >= 1 <= 100
cursor
string

Location id cursor returned by the previous page.

Locations page.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
name
required
string
code
required
string
type
required
string
Allowed values: warehouse store virtual
status
required
string
Allowed values: active archived
addressLine1
object
addressLine2
object
city
object
region
object
postalCode
object
countryCode
object
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
nextCursor
object
Example
{
"items": [
{
"id": "33333333-3333-4333-8333-333333333333",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"name": "Main Warehouse",
"code": "MAIN-WH",
"type": "warehouse",
"status": "active",
"addressLine1": "123 Market St",
"addressLine2": null,
"city": "Austin",
"region": "TX",
"postalCode": "78701",
"countryCode": "US",
"metadata": {
"timezone": "America/Chicago"
},
"createdAt": "2026-06-29T10:00:00.000Z",
"updatedAt": "2026-06-29T10:00:00.000Z"
}
],
"nextCursor": null
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}